import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class TestMouse
extends Frame
{
  public static void main(String[] args)
  {
    TestMouse window = new TestMouse();
    window.setLocation(100,100);
    window.setSize(500,500);
    window.setVisible(true);
  }

  public TestMouse()
  {
    super("Test mouse clicks");
    addWindowListener(new MyWindowListener());
    addMouseListener(new MyMouseListener());
    addMouseMotionListener(new MyMouseMotionListener());
  }

  class MyMouseListener extends MouseAdapter
  {
    public void mousePressed(MouseEvent event)
    {

      System.out.println("mousePressed: "+ event + event.getX() +"/"+ event.getY());
    }

    public void mouseReleased(MouseEvent event)
    {
      System.out.println("mouseReleased");
    }
  }

  class MyMouseMotionListener extends MouseMotionAdapter
  {
    public void mouseDragged(MouseEvent event)
    {
      System.out.println("mouseDragged"+ event+ event.getX()+"/"+event.getY());
    }
  }

  class MyWindowListener extends WindowAdapter
  {
    public void windowClosing(WindowEvent event)
    {
      setVisible(false);
      dispose();
      System.exit(0);
    }
  }
}
